## erlang-p1-stringprep 1.0.18

=== Makefile ===
all: src

src:
	rebar get-deps compile

clean:
	rebar clean

test: all
	rebar -v skip_deps=true eunit

.PHONY: clean src test all

## erlang-p1-stringprep 0.2013.12.09

=== debian/changelog ===
erlang-p1-stringprep (0.2013.12.09-3) unstable; urgency=medium

  * Added use of dpkg-buildflags to debian/rules

 -- Philipp Huebner <debalance@debian.org>  Wed, 14 May 2014 11:24:20 +0200

erlang-p1-stringprep (0.2013.12.09-2) unstable; urgency=medium

  * Added correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:46:29 +0200

erlang-p1-stringprep (0.2013.12.09-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:34:01 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/stringprep


Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/pkg-info.mk


DESTDIR=$(CURDIR)/debian/erlang-p1-stringprep


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	for file in priv/lib/*.so ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_stringprep-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_stringprep-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_stringprep-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean

## erlang-p1-stringprep 0.2015.02.04

=== debian/changelog ===
erlang-p1-stringprep (0.2015.02.04-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.02.04
  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Tue, 18 Aug 2015 08:02:43 +0200

erlang-p1-stringprep (0.2013.12.09-4) unstable; urgency=medium

  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 18:27:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-p1-stringprep
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/processone/stringprep
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-stringprep.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-stringprep.git
 
 Package: erlang-p1-stringprep
 Architecture: any

## erlang-p1-stringprep 1.0.2

=== debian/changelog ===
erlang-p1-stringprep (1.0.2-2) unstable; urgency=medium

  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 14 Feb 2016 18:22:59 +0100

erlang-p1-stringprep (1.0.2-1) unstable; urgency=medium

  * Imported Upstream version 1.0.2

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Feb 2016 18:48:20 +0100

erlang-p1-stringprep (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Tue, 02 Feb 2016 19:07:46 +0100

erlang-p1-stringprep (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 12:32:56 +0100

=== debian/control ===
Source: erlang-p1-stringprep
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.3), erlang-syntax-tools
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/processone/stringprep
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.3),
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-stringprep

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-stringprep_$1.tar.gz/" \
  https://github.com/processone/stringprep/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-stringprep 1.0.5

=== debian/changelog ===
erlang-p1-stringprep (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Aug 2016 21:00:36 +0200

erlang-p1-stringprep (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 17:02:36 +0200

erlang-p1-stringprep (1.0.3-2) unstable; urgency=medium

  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 14:09:05 +0200

erlang-p1-stringprep (1.0.3-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Wed, 30 Mar 2016 19:48:41 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.4), erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/stringprep
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.4),
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stringprep 1.0.6

=== debian/changelog ===
erlang-p1-stringprep (1.0.6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:25:07 +0200

erlang-p1-stringprep (1.0.6-2) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:50 +0200

erlang-p1-stringprep (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * (Build-)Depend on erlang-p1-utils (>= 1.0.5)

 -- Philipp Huebner <debalance@debian.org>  Fri, 16 Sep 2016 14:36:02 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-eunit, erlang-p1-utils (>= 1.0.5), erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/stringprep
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.5),
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stringprep 1.0.9

=== debian/changelog ===
erlang-p1-stringprep (1.0.9-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:09 +0200

erlang-p1-stringprep (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 15:32:47 +0200

erlang-p1-stringprep (1.0.8-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.8
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 11:37:04 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.9), erlang-syntax-tools
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/stringprep
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stringprep.git

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.9),
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stringprep 1.0.10

=== debian/changelog ===
erlang-p1-stringprep (1.0.10-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:57 +0100

erlang-p1-stringprep (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:04:57 +0100

=== debian/control ===
Source: erlang-p1-stringprep
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.10), erlang-syntax-tools
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/processone/stringprep
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.10),
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-stringprep

## erlang-p1-stringprep 1.0.12

=== debian/changelog ===
erlang-p1-stringprep (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:24:22 +0200

erlang-p1-stringprep (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 22:28:20 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.12),
               erlang-syntax-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
Homepage: https://github.com/processone/stringprep

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.12)
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stringprep 1.0.14

=== debian/changelog ===
erlang-p1-stringprep (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.12),
+               erlang-p1-utils (>= 1.0.13),
                erlang-syntax-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
 Homepage: https://github.com/processone/stringprep
@@ -20,7 +20,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.12)
+         erlang-p1-utils (>= 1.0.13)
 Description: erlang interface to stringprep
  This library was written for ejabberd which still uses it.
  It was split off into it's own project to follow

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-p1-stringprep 1.0.16

=== debian/changelog ===
erlang-p1-stringprep (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:23:52 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.15),
               erlang-syntax-tools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
Homepage: https://github.com/processone/stringprep

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.15)
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stringprep 1.0.17

=== debian/changelog ===
erlang-p1-stringprep (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:09:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.15),
+               erlang-p1-utils (>= 1.0.16),
                erlang-syntax-tools
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
@@ -20,7 +20,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.15)
+         erlang-p1-utils (>= 1.0.16)
 Description: erlang interface to stringprep
  This library was written for ejabberd which still uses it.
  It was split off into it's own project to follow

## erlang-p1-stringprep 1.0.18

=== debian/changelog ===
erlang-p1-stringprep (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * Fixed typo in long package description.
  * Set 'Rules-Requires-Root: no' in debian/control
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 18:21:33 +0100

=== debian/control ===
Source: erlang-p1-stringprep
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.17),
               erlang-syntax-tools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
Homepage: https://github.com/processone/stringprep

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.17)
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-stringprep

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-stringprep_$1.tar.gz/" \
  https://github.com/processone/stringprep/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-stringprep 1.0.22

=== debian/changelog ===
erlang-p1-stringprep (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:20:02 +0200

erlang-p1-stringprep (1.0.21-1) unstable; urgency=medium

  * New upstream version 1.0.21
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 21:39:54 +0200

erlang-p1-stringprep (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 11:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.17),
+               erlang-p1-utils (>= 1.0.20),
                erlang-syntax-tools
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
@@ -21,7 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.17)
+         erlang-p1-utils (>= 1.0.20)
 Description: erlang interface to stringprep
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-stringprep 1.0.24

=== debian/changelog ===
erlang-p1-stringprep (1.0.24-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Philipp Huebner <debalance@debian.org>  Tue, 09 Feb 2021 08:15:52 +0100

erlang-p1-stringprep (1.0.24-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:53:12 +0100

erlang-p1-stringprep (1.0.24-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 18:02:46 +0100

erlang-p1-stringprep (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-stringprep.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 23:55:49 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-stringprep_$1.tar.gz/" \
  https://github.com/processone/stringprep/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-stringprep 1.0.27

=== debian/changelog ===
erlang-p1-stringprep (1.0.27-2) unstable; urgency=medium

  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sun, 19 Dec 2021 23:30:36 +0100

erlang-p1-stringprep (1.0.27-1) unstable; urgency=medium

  * New upstream version 1.0.27
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:41:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-utils (>= 1.0.23),
                erlang-syntax-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
 Homepage: https://github.com/processone/stringprep
@@ -21,7 +21,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.20)
+         erlang-p1-utils (>= 1.0.23)
+Multi-Arch: allowed
 Description: erlang interface to stringprep
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

## erlang-p1-stringprep 1.0.28

=== debian/changelog ===
erlang-p1-stringprep (1.0.28-1) unstable; urgency=medium

  * New upstream version 1.0.28
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Added patch to fix eunit

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:22:12 +0200

=== debian/control ===
Source: erlang-p1-stringprep
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-base,
               erlang-eunit,
               erlang-p1-utils (>= 1.0.25),
               erlang-syntax-tools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
Homepage: https://github.com/processone/stringprep

Package: erlang-p1-stringprep
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.25)
Multi-Arch: allowed
Description: erlang interface to stringprep
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stringprep 1.0.29

=== debian/changelog ===
erlang-p1-stringprep (1.0.29-3) unstable; urgency=medium

  * Dropped debian/erlang-p1-stringprep.install, added debian/source/options
    and fixed debian/rules (closes: #1044411)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-stringprep.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:18:29 +0100

erlang-p1-stringprep (1.0.29-2) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 13:19:25 +0100

erlang-p1-stringprep (1.0.29-1) unstable; urgency=medium

  * New upstream version 1.0.29

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 14:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-eunit,
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
 Homepage: https://github.com/processone/stringprep

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	dh_auto_install
 	for file in priv/lib/*.so ; do \
@@ -27,7 +26,6 @@
 		fi ; \
 	done
 
-
 override_dh_auto_clean:
-	rm -f config.log config.status
+	rm -rf compile_commands.json config.log config.status vars.config
 	dh_auto_clean

## erlang-p1-stringprep 1.0.30

=== Makefile ===
REBAR ?= rebar

all: src

src:
	$(REBAR) get-deps
	$(REBAR) compile

clean:
	$(REBAR) clean

test: all
	$(REBAR) eunit

.PHONY: clean src test all

=== debian/changelog ===
erlang-p1-stringprep (1.0.30-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Apr 2025 12:12:21 +0200

erlang-p1-stringprep (1.0.30-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:08:12 +0100

erlang-p1-stringprep (1.0.30-1) unstable; urgency=medium

  * New upstream version 1.0.30
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 18:21:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6),
+               dh-rebar (>= 0.0.6~),
                erlang-base,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep.git
 Homepage: https://github.com/processone/stringprep
@@ -21,7 +21,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.25)
+         erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: erlang interface to stringprep
  This library was written for ejabberd which still uses it.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_stringprep-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+	ln -s /usr/lib/erlang/lib/p1_stringprep-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/stringprep-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	rm -rf compile_commands.json config.log config.status vars.config

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-stringprep_$1.tar.gz/" \
  https://github.com/processone/stringprep/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-stringprep 1.0.33

=== debian/changelog ===
erlang-p1-stringprep (1.0.33-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream release.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 22:03:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6~),
+               dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.28),
                erlang-syntax-tools
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stringprep

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/stringprep
